<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class UpdatedAtTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('updated_at')
            ->label('تاریخ به‌روزرسانی')
            ->sortable()
            ->jalaliDateTime()
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
